<script>
import Layout from "../layouts/main";
import PageHeader from "../components/page-header";
import GetStarted from "./dashboard/getstarted.vue";
import Dashboard from "./dashboard/dashboard.vue";

/**
 * Dashboard Component
 */
export default {
  components: {
    Layout,
    PageHeader,
    GetStarted,
    Dashboard
  },
  data() {
    return {};
  }
};
</script>

<template>
  <Layout>
    <div class="row align-items-center header-new">
      <div class="col-8">
        <div class="d-flex align-items-center justify-content-between icon-main-page">
          <div class="page-title-left">
            <div class="avatar-xs mr-3">
              <span class="avatar-title rounded-circle bg-soft-primary text-primary font-size-18">
                <i class="bx bx-home-circle"></i>
              </span>
            </div>
            <h4 class="mb-0 font-size-18">{{ trans.get('__JSON__.Dashboard') }}</h4>
          </div>
        </div>
      </div>
    </div>
    <div class="row mt-4">
      <div class="col-12">
        <div class="card">
          <div class="card-body">
            <h5 class="mt-3 font-size-20"><b>Welcome Ressto !!</b></h5>
            <div class="mt-4">
              <b-tabs nav-class="nav-tabs-custom customer" content-class="p-3 text-muted" lazy>
                <b-tab>
                  <template v-slot:title>
                    <span class="d-inline-block d-sm-none">
                      <i class="fas fa-user"></i>
                    </span>
                    <span class="d-none d-sm-inline-block">Getting Started</span>
                  </template>
                  <GetStarted/>
                </b-tab>
                <b-tab>
                  <template v-slot:title>
                    <span class="d-inline-block d-sm-none">
                      <i class="fas fa-clock"></i>
                    </span>
                    <span class="d-none d-sm-inline-block">Dashboard</span>
                  </template>
                  <Dashboard />
                </b-tab>
                <b-tab>
                  <template v-slot:title>
                    <span class="d-inline-block d-sm-none">
                      <i class="fas fa-times-circle"></i>
                    </span>
                    <span class="d-none d-sm-inline-block">What's New</span>
                  </template>
                </b-tab>
              </b-tabs>
            </div>
          </div>
        </div>
      </div>
    </div>
  </Layout>
</template>
